org.apache.commons.compress.harmony.unpack200.bytecode

## Class CPMethodRef

- java.lang.Object
- - org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry
  - - org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry
    - - org.apache.commons.compress.harmony.unpack200.bytecode.CPRef
      - - org.apache.commons.compress.harmony.unpack200.bytecode.CPMethodRef

-     public class CPMethodRef
      extends CPRef

  Method reference constant pool entry.

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.CPRef

      `cachedToString, nameAndType`

    - ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry

      `CP_Class, CP_Double, CP_Fieldref, CP_Float, CP_Integer, CP_InterfaceMethodref, CP_Long, CP_Methodref, CP_NameAndType, CP_String, CP_UTF8, globalIndex`

    - ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

      `NONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CPMethodRef(CPClass className, CPNameAndType descriptor, int globalIndex)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ClassFileEntry[]` | `getNestedClassFileEntries()`
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.CPRef

      `equals, resolve, toString, writeBody`

    - ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry

      `doWrite, getGlobalIndex, getTag`

    - ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

      `objectHashCode, write`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CPMethodRef

          public CPMethodRef(CPClass className,
                             CPNameAndType descriptor,
                             int globalIndex)

  - ### Method Detail

    - #### getNestedClassFileEntries

          protected ClassFileEntry[] getNestedClassFileEntries()

      Overrides:
        `getNestedClassFileEntries` in class `CPRef`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `ConstantPoolEntry`

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.